Package org.apache.sling.scripting.sightly.js.impl.loop

# Class Task

java.lang.Object
org.apache.sling.scripting.sightly.js.impl.loop.Task

public class Task extends Object
Task in an event loop

## Constructor Summary

Constructors
Constructor
Description
`Task(Runnable runnable)`

## Method Summary

Modifier and Type
Method
Description
`void`
`deactivate()`
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Task

public Task(Runnable runnable)

## Method Details

### run

public void run()

### deactivate

public void deactivate()